#include <bits/stdc++.h>

using namespace std;
long long a[2000050];
int main()
{
    long long n, k, x, s=0;
    cin >> n >> k;
    for (int i=0;i<n;i++){
        cin >> x;
        a[x+n]++;
        if (a[x+n]==k) s++;
    }
    cout << s << '\n';
    for (int i=0;i<2*n;i++){
        if (a[i]>=k) cout << i-n << ' ';
    }
    return 0;
}